## freecad 0.12.5284-dfsg

=== debian/changelog ===
freecad (0.12.5284-dfsg-7ubuntu1) quantal; urgency=low

  * Sync with Debian. This upload is to fix an error (missing/broken changelog)
    in the previous upload. There are no changes from the Debian package.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 29 May 2012 17:19:30 -0400

freecad (0.12.5284-dfsg-7) unstable; urgency=low

  * [b420ea0] Add -fpermissive to cpp, c-flags to fix FTBFS with gcc-4.7.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 14 May 2012 19:32:10 +0200

freecad (0.12.5284-dfsg-6) unstable; urgency=low

  * [d31cbf4] Disable python-pivy depends on powerpc.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 12 Apr 2012 21:05:36 +0200

freecad (0.12.5284-dfsg-5ubuntu1) precise; urgency=low

  * Comment out fix_FTBFS_with_oce-0.9.1.patch in debian/patches/series to fix
    FTBFS (precise has an older oce and this patch isn't needed/breaks the
    build)
    - Thanks to Anton Gladky for pointing this out

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Mar 2012 17:30:58 -0400

freecad (0.12.5284-dfsg-5) unstable; urgency=low

  * [4d3e1c0] Do not build freecad parallel, it causes FTBFS sometimes ( -j5).
  * [d749637] Fix FTBFS during compiling against oce-0.9.1. 
              Thanks to Denis Barbier. (Closes: #664207)
  * [28cb8ba] Fix bug of identifying SWIG version. 
              Thanks to Werner Mayer <werner.wm.mayer@gmx.de>. 
              (Closes: #646374)
  * [fde200f] Use Standards-Version 3.9.3. No changes.
  * [595a19e] Minor update of copyright file due to released DEP-5.
  * [65ef554] Enable HAVE_SWIG option.
  * [1af4c8a] Fix crash in Help->About menu. (Closes: #663704)

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 18 Mar 2012 08:51:19 +0100

freecad (0.12.5284-dfsg-4) unstable; urgency=low

  * [84c5407] Add needed #include. Fix compilation on Ubuntu Precise.
  * [7b3d15a] Move python-pivy from recommends to depends section. 
              (Closes: #646374)
  * [9136519] Update homepage section.
  * [da53f03] Raise dh-compat to version 8.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 17 Feb 2012 19:59:20 +0100

freecad (0.12.5284-dfsg-3) unstable; urgency=low

  * [da3974a] Switch from opencascade to oce. (Closes: #659133)

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 09 Feb 2012 20:55:05 +0100

freecad (0.12.5284-dfsg-2) unstable; urgency=low

  * [125b5f6] Add libeigen3-dev to "depends" in freecad-dev.
  * Rebuild due to opencv-transition.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 22 Jan 2012 20:07:21 +0100

freecad (0.12.5284-dfsg-1) unstable; urgency=low

  * [99b66f2] Imported Upstream version 0.12.5284-dfsg
  * [dc52b9c] Remove patch (gcc-4.6 compilation), hopefully applied by upstream.
  * [f66ef5d] Remove patch (typo).
  * [ce862a0] Update copyright file (add data-files).
  * [91d5731] Use eigen3 instead of eigen2.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 09 Jan 2012 21:29:18 +0100

freecad (0.11.4446-dfsg-4) unstable; urgency=low

  * [d3ec609] Make a line in changelog shorter. Fix lintian-warning.
  * [df77453] Fix (hopefully) FTBFS on Armel. Thanks to Paul Brook. 
              (Closes: #623559)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 28 Oct 2011 20:25:21 +0200
