=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

MODULES = Part Mesh MeshPart PartDesign Sketcher Points Raytracing Image Drawing ReverseEngineering Complete Fem Robot Import Inspection

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#Set flags, as suggested by Bernhard R. Link 
# http://lists.alioth.debian.org/pipermail/debian-science-maintainers/2011-June/008157.html

CFLAGS := -Wall -DHAVE_SWIG=1 -fpermissive $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -Wall -DHAVE_SWIG=1 -fpermissive $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := -lrt $(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- --with-occ-include=/usr/include/oce \
--with-occ-lib=/usr/lib \
--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
--prefix=/usr/lib/freecad --mandir=/usr/share/man \
--infodir=/usr/share/info --datadir=/usr/share/freecad \
--includedir=/usr/include/freecad --docdir=/usr/share/doc/freecad \
CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
LDFLAGS='$(LDFLAGS)'

override_dh_auto_clean:
	find -name '*.pyc' | xargs rm -f
	find -name 'moc_*.cpp' | xargs rm -f
	find -name '*.lo' | xargs rm -f
	find -name '*.deps' | xargs rm -rf
	find -name '*.libs' | xargs rm -rf
	rm -f stamp-h1 config.log libtool 71
	if [ -e Makefile.in.setaside ]; then \
	for autotools_mod_file in `find . -name Makefile.in` aclocal.m4 \
	    configure m4/libtool.m4 m4/ltmain.sh m4/ltoptions.m4 \
	    m4/ltversion.m4 m4/lt~obsolete.m4; do \
	  mv -f $$autotools_mod_file.setaside $$autotools_mod_file; \
	done; fi
	dh_clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/freecad
	# Remove testing modules we don't want to have in the deb
	rm -rf debian/tmp/freecad/usr/lib/freecad/Mod/_TEMPLATE_
	rm -rf debian/tmp/freecad/usr/lib/freecad/Mod/TemplatePyMod
	# install the core system
	dh_install -pfreecad -XLicense.txt debian/tmp/freecad/usr/share/freecad/* usr/share/freecad/
	#dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/share usr/lib/freecad
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/bin usr/lib/freecad
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/lib/FreeCAD.so usr/lib/freecad/lib
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/lib/lib*.so.* usr/lib/freecad/lib
	dh_install debian/freecad.desktop usr/share/applications
	# install the modules
	$(foreach MODULE,$(MODULES), \
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/$(MODULE)/$(MODULE)*.so usr/lib/freecad/Mod/$(MODULE); \
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/$(MODULE)/lib*.so.* usr/lib/freecad/Mod/$(MODULE); \
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/$(MODULE)/*.py usr/lib/freecad/Mod/$(MODULE);)
	# special treating of PartDesign module
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/PartDesign/Scripts/*.py usr/lib/freecad/Mod/PartDesign/Scripts;)
	# special treating of Draft module
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/Draft/*.py usr/lib/freecad/Mod/Draft
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/Draft/draftlibs/*.py usr/lib/freecad/Mod/Draft/draftlibs
	# special treating of Test module
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/Test/lib*.so.* usr/lib/freecad/Mod/Test
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/Test/*.py usr/lib/freecad/Mod/Test
	dh_install -pfreecad debian/tmp/freecad/usr/lib/freecad/Mod/Test/QtUnitGui.so usr/lib/freecad/Mod/Test
	dh_install -pfreecad-dev debian/tmp/freecad/usr/include/* usr/include
	dh_install -pfreecad-dev debian/tmp/freecad/usr/lib/freecad/lib/lib*.so usr/lib/freecad/lib
	$(foreach MODULE,$(MODULES), \
	dh_install -pfreecad-dev debian/tmp/freecad/usr/lib/freecad/Mod/$(MODULE)/lib*.so usr/lib/freecad/Mod/$(MODULE);)
	# install the help system
	dh_install -pfreecad-doc debian/tmp/freecad/usr/share/doc/* usr/share/doc/

override_dh_compress:
	dh_compress -X.qch -X.qhc

override_dh_installman:
	dh_installman debian/freecad.1

overide_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

override_dh_makeshlibs:
